var exports, tokenizeDomain, _;

_ = require('lodash');

tokenizeDomain = require('./tokenizeDomain');

exports = module.exports = function(parsedDomain) {
  var results;
  if (!_.isPlainObject(parsedDomain)) {
    return null;
  }
  results = tokenizeDomain(parsedDomain.name);
  results.protocol = parsedDomain.protocol;
  results.url = parsedDomain.name;
  results.uri = parsedDomain.uri;
  results.level = function(number) {
    return results.idn.split(/\./gi).reverse()[parseInt(number) - 1];
  };
  results.host = function() {};
  results.toString = function() {
    return parsedDomain.name;
  };
  return results;
};
