_ = require 'lodash'
tokenizeDomain = require './tokenizeDomain'

exports = module.exports = (parsedDomain) ->
  return null unless _.isPlainObject parsedDomain

  results = tokenizeDomain parsedDomain.name
  results.protocol = parsedDomain.protocol
  results.url = parsedDomain.name
  results.uri = parsedDomain.uri

  results.level = (number) ->
    results.idn.split(/\./gi).reverse()[parseInt(number)-1]

  results.host = ->

  results.toString = ->
    parsedDomain.name
  
  return results